/* 
 In the following multi-process program, we'd like 
 *both* subroutines "runA" and "runB" to run, each in
 its own process.  What single line of code could we 
 add at ?? to do this?  

 BONUS: +1 point if you can make the parent process
   wait for the child to complete before it exits.
 
 NOTE: 
   This problem can only be solved using UNIX 
   process creation.  It can be compiled like this:
     gcc problem1.c
 
 Orion Lawlor, olawlor@acm.org, 2005/2/20 (Public Domain)
*/
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

/* Number of iterations to run A and B for. */
int nIter=20;

void runA(void) {
	int i,n;
	for (n=0;n<nIter;n++) {
		for (i=0;i<1000*1000;i++) {}
		printf("A (%d)\n",n);
	}
}

void runB(void) {
	int i,n;
	for (n=0;n<nIter;n++) {
		for (i=0;i<1000*1000;i++) {}
		printf("      B (%d)\n",n);
	}
}

int main() {
	pid_t new_process_id= ??;
	if (new_process_id==0) { /* I'm the child process */
		runA();
	} else { /* I'm the parent process */
		runB();
	}
	return 0;
}
